# Update an existing HRIS Org Structure

PATCH https://api.letsdeel.com/rest/v2/hris/organization_structures/{hrisOrgStr_id}
Content-Type: application/json

Update an existing HRIS Org Structure
 **Token scopes**: `organizations:write`

Reference: https://developer.deel.com/api/reference/endpoints/organization-structure/update-org-structure

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /hris/organization_structures/{hrisOrgStr_id}:
    patch:
      operationId: update-org-structure
      summary: Update an existing HRIS Org Structure
      description: |-
        Update an existing HRIS Org Structure
         **Token scopes**: `organizations:write`
      tags:
        - subpackage_organizationStructure
      parameters:
        - name: hrisOrgStr_id
          in: path
          description: Org Structure
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Organization
                  structure_updateOrgStructure_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/HrisOrganizationStructuresHrisOrgStrIdPatchRequestBodyContentApplicationJsonSchemaData
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    HrisOrganizationStructuresHrisOrgStrIdPatchRequestBodyContentApplicationJsonSchemaDataTeamsItems:
      type: object
      properties: {}
      title: >-
        HrisOrganizationStructuresHrisOrgStrIdPatchRequestBodyContentApplicationJsonSchemaDataTeamsItems
    HrisOrganizationStructuresHrisOrgStrIdPatchRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        name:
          type: string
          description: Name of the Org Structure
        teams:
          type: array
          items:
            $ref: >-
              #/components/schemas/HrisOrganizationStructuresHrisOrgStrIdPatchRequestBodyContentApplicationJsonSchemaDataTeamsItems
        external_id:
          type: string
          description: External ID of the Org Structure
        enable_roles:
          type: boolean
          description: Enable roles for the Org Structure
        is_multiselect:
          type: boolean
          description: Enable multiselect for the Org Structure
      required:
        - teams
      title: >-
        HrisOrganizationStructuresHrisOrgStrIdPatchRequestBodyContentApplicationJsonSchemaData
    Organization structure_updateOrgStructure_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Organization structure_updateOrgStructure_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/hris/organization_structures/1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e"

payload = { "body": { "data": {
            "name": "Global HRIS Organization",
            "teams": [
                {
                    "id": "team-001",
                    "name": "Engineering",
                    "manager": "alice.jones@company.com",
                    "members": 25
                },
                {
                    "id": "team-002",
                    "name": "Marketing",
                    "manager": "bob.smith@company.com",
                    "members": 15
                }
            ],
            "external_id": "1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e",
            "enable_roles": True,
            "is_multiselect": False
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/hris/organization_structures/1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"body":{"data":{"name":"Global HRIS Organization","teams":[{"id":"team-001","name":"Engineering","manager":"alice.jones@company.com","members":25},{"id":"team-002","name":"Marketing","manager":"bob.smith@company.com","members":15}],"external_id":"1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e","enable_roles":true,"is_multiselect":false}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/hris/organization_structures/1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e"

	payload := strings.NewReader("{\n  \"body\": {\n    \"data\": {\n      \"name\": \"Global HRIS Organization\",\n      \"teams\": [\n        {\n          \"id\": \"team-001\",\n          \"name\": \"Engineering\",\n          \"manager\": \"alice.jones@company.com\",\n          \"members\": 25\n        },\n        {\n          \"id\": \"team-002\",\n          \"name\": \"Marketing\",\n          \"manager\": \"bob.smith@company.com\",\n          \"members\": 15\n        }\n      ],\n      \"external_id\": \"1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e\",\n      \"enable_roles\": true,\n      \"is_multiselect\": false\n    }\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/hris/organization_structures/1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"body\": {\n    \"data\": {\n      \"name\": \"Global HRIS Organization\",\n      \"teams\": [\n        {\n          \"id\": \"team-001\",\n          \"name\": \"Engineering\",\n          \"manager\": \"alice.jones@company.com\",\n          \"members\": 25\n        },\n        {\n          \"id\": \"team-002\",\n          \"name\": \"Marketing\",\n          \"manager\": \"bob.smith@company.com\",\n          \"members\": 15\n        }\n      ],\n      \"external_id\": \"1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e\",\n      \"enable_roles\": true,\n      \"is_multiselect\": false\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/v2/hris/organization_structures/1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"body\": {\n    \"data\": {\n      \"name\": \"Global HRIS Organization\",\n      \"teams\": [\n        {\n          \"id\": \"team-001\",\n          \"name\": \"Engineering\",\n          \"manager\": \"alice.jones@company.com\",\n          \"members\": 25\n        },\n        {\n          \"id\": \"team-002\",\n          \"name\": \"Marketing\",\n          \"manager\": \"bob.smith@company.com\",\n          \"members\": 15\n        }\n      ],\n      \"external_id\": \"1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e\",\n      \"enable_roles\": true,\n      \"is_multiselect\": false\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/v2/hris/organization_structures/1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e', [
  'body' => '{
  "body": {
    "data": {
      "name": "Global HRIS Organization",
      "teams": [
        {
          "id": "team-001",
          "name": "Engineering",
          "manager": "alice.jones@company.com",
          "members": 25
        },
        {
          "id": "team-002",
          "name": "Marketing",
          "manager": "bob.smith@company.com",
          "members": 15
        }
      ],
      "external_id": "1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e",
      "enable_roles": true,
      "is_multiselect": false
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/hris/organization_structures/1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"body\": {\n    \"data\": {\n      \"name\": \"Global HRIS Organization\",\n      \"teams\": [\n        {\n          \"id\": \"team-001\",\n          \"name\": \"Engineering\",\n          \"manager\": \"alice.jones@company.com\",\n          \"members\": 25\n        },\n        {\n          \"id\": \"team-002\",\n          \"name\": \"Marketing\",\n          \"manager\": \"bob.smith@company.com\",\n          \"members\": 15\n        }\n      ],\n      \"external_id\": \"1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e\",\n      \"enable_roles\": true,\n      \"is_multiselect\": false\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["body": ["data": [
      "name": "Global HRIS Organization",
      "teams": [
        [
          "id": "team-001",
          "name": "Engineering",
          "manager": "alice.jones@company.com",
          "members": 25
        ],
        [
          "id": "team-002",
          "name": "Marketing",
          "manager": "bob.smith@company.com",
          "members": 15
        ]
      ],
      "external_id": "1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e",
      "enable_roles": true,
      "is_multiselect": false
    ]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/hris/organization_structures/1131a5a9-1fbb-4b58-87f6-d8798e6f0b9e")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```